Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002159 [DCSS] FR: Gameplay Balancing minor have not tried 2010-07-31 21:23 2014-03-27 07:12
Reporter Lemuel View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.9 ancient branch
Summary 0002159: god wrath could be permanent
Description Waiting out god wrath is boring and spoiler-y. There are proposals to fix this by using tension or some similar mechanic, but that could just lead to an arm's race between more complex mechanisms to distinguish "real" play from waiting, and new player strategies to fool those mechanism. Wouldn't it be simpler to cut the Gordian knot and simply make wrath permanent?

Two approaches:

- Keep current effects, and simply apply them for the remainder of the game. This would work OK, altho it would require scaling some of the existing effects down.

- Create a new set of effects that are inherently permanent. These effects could be applied just once at the point of abandonment, or periodically as wrath is now. Examples:

B: Destroy orcish items [*].
E: Permanently reduce max HP.
F: Destroy permafood. [*]
K: Forget necro spells and destroy necro spellbooks. [*]
M: Permanently reduce max MP; or, hostile demon summons continue the remainder of game.
N: Destroy items of all kinds. [*]
O: Permanently reduce Fighting skill; or permanently reduce Str and Dex.
Sif: Permanently reduce Int; or, forget spells and spellbooks of all kinds destroyed.
TSO: Hostile Angel summons continue the remainder of the game.
Trog: Permanently reduce Str; or, hostile summons continue the remainder of the game.
V: Forget conj spells and destroy conj spellbooks. [*]
Y: Rotting [**]; or, hostile undead summons continue the remainder of game.


[*] Item destruction should work as a fixed chance applied **independently** to all applicable items generated up to that point in the game, regardless of where they are currently located. Thanks to stash-tracking implementing this should be easy. Chance of destruction per item should depend on whether the wrath is applied just once or periodically. Overall, should probably aim for 5-10% of all items being destroyed for Nemelex, 50% of applicable spellbooks for Sif/Veh/Kiku and food items for Fedhas, and up to 100% of Orcish items for Beogh.

[**] Not strictly permanent, but requires using up consumables.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006927)
doublep (reporter)
2010-08-07 23:53

Wouldn't that be a major turn-off to switching religion?

How about using a mechanic similar to demonspawn mutations: once you abandon a god, it sets up several virtual checkpoints where it will unleash its wrath (in demonspawn mutations there are experience level checkpoints). E.g. reaching certain dungeon levels etc. Perhaps there should be many such checkpoints, but only first reached should fire up. This would give a somewhat consistent wrath severity, as reaching 5 out of 5 is not quite guaranteed, but reaching at least 5 out of 20 is pretty much certain.
(0006931)
MrMisterMonkey (reporter)
2010-08-08 00:25

Item destruction for everyone boring and incredibly annoying, but I like the general idea of wrath being permanent.

Predictable wrath triggered at milestones or the like is also bad.
(0006932)
doublep (reporter)
2010-08-08 00:27

The point is you wouldn't know the milestones. E.g. it could be be on D:24 or D:25. Immediately after you enter the level or 400 turns into it, etc. So, waiting out would be pointless.
(0006937)
OG17 (reporter)
2010-08-08 01:01

If this is done, wraths shouldn't take things away from the player - losing items/spells/stats/skills would be sufficiently annoying that no one would ever switch. Instead, wraths should provide game-wide changes to the ruleset - just for a rough idea, Vehumet could increase monster spell ranges, Sif could boost monster HD for casting purposes, Yred could turn corpses into zombies after several turns (no exp), Trog could upgrade monster weapons (and have them revert on death), Okawaru could give monsters a might effect, Zin could disable good mutations and make cure mut less effective, etc.

I imagine this'd be rather hard to balance, to say the least.
(0006938)
dpeg (administrator)
2010-08-08 01:08

Very interesting idea, I see two problems:
(1) It would make god switching less attractive. (At least, player would feel like it was.)
(2) I am married to the idea of Lugonu worshipper corrupting altars (and gaining Lugonu piety that way as well as the wrath of the respective god).

However, both of these could probably be solved: in my proposal for god wrath, I use two parameters, one for duration (not used with Lemuel's approach) and one for severity -- we want this in any case: switching from Makhleb to Lugonu should be different at XL 3 with *** piety or at XL 27 with full piety.

Apart from that, item destruction is always a major annoyance to many. However, this can be tweaked: instead of destroying orcish items, why not degrading them? (The net effect for the player may be the same... also, it seems better to turn the hero's orcish plate mail into a -5 one, rather than nuking it in Zot. By the way, the Beogh wrath is too weak anyway: the player will have prepared a nice orc-free ascension kit. Therefore, sending the occasional high-level orc inquisition is a must. -- Similar with K: forgetting a Nec spell on a whim sounds pretty bad: it makes players spend an annoying long time in advance, so as to prepare the abandonment, e.g. by reschooling. If instead Nec spells were consistently harder to cast, that'd be better.)

In general, I think the idea has merits. Curious to note that Nemelex's wrath is a lot like this already.
(0006945)
Lemuel (updater)
2010-08-08 02:23

(1) I don't see why this necessarily makes switching gods less attractive -- it all depends on the numbers.
(2) No problem. Temporary wrath should continue to exist as well. Permanent wrath would apply only on abandonment.

I do not think that being able to minimize wrath by preparing in advance is necessarily a bad thing, either. Seems to me that something like "Finally I've found enough backup books, now I can afford to abandon Kiku" is the sort of strategic calculation the game should encourage. Among other things, it makes those duplicate spellbooks interesting.

(That's one the argument for permanent item destruction in general, by the way -- it makes a huge swath of currently redundant items potentially valuable as spares. To avoid player annoyance, there just needs to be a sure-fire way of avoiding (the risk of) item loss. In this case, it's just not switching gods. Which is a "cost" that almost everyone already pays.)

Anyway, glad there is interest in the idea. I suspect something along these lines is the only way to really fix the waiting-out-wrath problem.
(0006946)
Happylisk (reporter)
2010-08-08 02:37

I agree with dpeg that the duration of worship should be a factor in the severity of wrath. However, I think piety should not be a factor. If I'm at ***** with Okawaru and want to convert, piety being a factor would just encourage me to spam might to drop my piety down as low as possible. Such behavior is tedious and not fair to the unspoiled.
(0006948)
TGW (reporter)
2010-08-08 03:11
edited on: 2010-08-08 03:13

What if penance were timed according to the god's conducts, i.e. it doesn't stop until you would have gained N piety with the god who's pissed at you? This would be unscummable (if piety gain over time for good gods is discounted), and as a bonus it's flavourful (Zin will leave you alone if you give him money, Trog will leave you alone if you kill enough spellcasters to make up for it...)

(0006949)
Happylisk (reporter)
2010-08-08 03:15

Such a system would work for gods that like plain old killing like Okie. For the good gods where piety builds over time, the waiting game reemerges. Even if you remove piety gain over time for the good gods, former worshipers of Ely would not be able to pacify monsters or destroy weapons either. Similarly, former Fedhas worshipers would no longer be able to use decompose.
(0006950)
TGW (reporter)
2010-08-08 03:23
edited on: 2010-08-08 03:24

Such gods (Nemelex too, as N78291 points out) could let the player retain the primary ability for piety gain, I guess (Fedhas' penitents can decompose, Elyvilon's can destroy weapons).

(0006956)
dpeg (administrator)
2010-08-08 11:38

happylisk: I've explained this in more depth on the wiki page (search "god wrath") but the idea is to use the maximal piety ever attained with the god as a measure.
(0006957)
doublep (reporter)
2010-08-08 11:52

> I suspect something along these lines is the only way to really fix the waiting-out-wrath problem.

I have not seen why wrath-at-unknown-milestones doesn't fix the waiting problem. If you keep on waiting at any given level (temple, shallow dungeon, whatever), you will simply never meet the milestones and will not trigger wrath. The point of such milestones is that they'd not be tied to time _and_ you would not know where they are, making precise preparations pointless.
(0006958)
MrMisterMonkey (reporter)
2010-08-08 13:04

You may never know if an individual milestone will trigger wrath, but you will know what sorts of milestones may trigger wrath, and as such may prepare accordingly. Milestone-based wrath also suffers from a problem similar to the current situation in that it may trigger at a boring point; that is, lack of tension renders it essentially harmless and uninteresting.

I, personally, am in favor of permanent tension-triggered wrath (with effects that would of course be interesting with tension, e.g. the proposed buffs to HD for spellcasting purposes and current summons (although they should behave as proposed in 0001633)); in my opinion, strong effects that trigger at high tension are far more interesting than always-active passive effects, which are more interesting and less annoying than item destruction and the like.
Also, I guess tracking piety and basing timeout thereon for all gods would make sense, if permanent wrath is undesirable. [ idea for tracking piety for all gods from b0rsuk's proposal thereof at https://crawl.develz.org/wiki/doku.php?id=dcss:brainstorm:god:general [^] ]
(0006959)
doublep (reporter)
2010-08-08 14:42

> but you will know what sorts of milestones may trigger wrath, and as such may prepare accordingly

Well, if milestones are of the type "enter level X for N's time + Y turns" (where N is small, say <= 3), it would result in pretty much anything. Thus, knowing it would be quite useless. All you would know is effectively "if I just sit on my ass here, I will not trigger wrath but will not evade it later either; if I go on, I will trigger god wrath, but I don't know when".

Tension, as mentioned in the issue description, "could just lead to an arm's race between more complex mechanisms to distinguish "real" play from waiting, and new player strategies to fool those mechanism". However, if you combine milestones with tension (as in: after a milestone is reached, unleash wrath at the first tense-enough moment), you could avoid both problems: milestones would make waiting useless, while milestones+tension would highly lessen severity of such potential "arm's race".
(0006961)
MrMisterMonkey (reporter)
2010-08-08 15:26

Sure, you could fool the game into thinking that you're in high tension when you're really not, as long as tension calculation isn't improved, but it's useless if wrath is permanent.
(0006965)
rob (developer)
2010-08-08 17:11

Just to remark that I've been arguing for permanent god wrath myself.

+1
(0006966)
Cryptic (developer)
2010-08-08 17:23

+1 for permanent god wrath, dpegs proposal sounds appealing, given careful attention and tuning to the effects and wrath scalars.

I'm also working on the presumption that perma-wrath wouldn't (at least for most gods) be tied into tension.

On a side note, a few of the gods might benefit from new or adjusted high-piety effects, or else they'll be worshipped much less/more often.
(0006983)
KiloByte (manager)
2010-08-08 23:38

-1 for permanent wrath, as in "infinite amount of times it triggers" (especially the effects proposed), but here's an alternative:
let's make all wraths use Nemelex' current method: the lower the penance counter, the less likely the wrath is. This makes the wrath's _duration_ effectively infinite, but not the total damage done by it.
(0025732)
MarvinPA (developer)
2014-03-27 07:12

Closing old FRs (god wrath was just reworked a bunch, too).

- Issue History
Date Modified Username Field Change
2010-07-31 21:23 Lemuel New Issue
2010-08-07 23:53 doublep Note Added: 0006927
2010-08-08 00:25 MrMisterMonkey Note Added: 0006931
2010-08-08 00:27 doublep Note Added: 0006932
2010-08-08 01:01 OG17 Note Added: 0006937
2010-08-08 01:08 dpeg Note Added: 0006938
2010-08-08 02:23 Lemuel Note Added: 0006945
2010-08-08 02:37 Happylisk Note Added: 0006946
2010-08-08 03:11 TGW Note Added: 0006948
2010-08-08 03:13 TGW Note Edited: 0006948
2010-08-08 03:15 Happylisk Note Added: 0006949
2010-08-08 03:23 TGW Note Added: 0006950
2010-08-08 03:24 TGW Note Edited: 0006950
2010-08-08 11:38 dpeg Note Added: 0006956
2010-08-08 11:52 doublep Note Added: 0006957
2010-08-08 13:04 MrMisterMonkey Note Added: 0006958
2010-08-08 14:42 doublep Note Added: 0006959
2010-08-08 15:26 MrMisterMonkey Note Added: 0006961
2010-08-08 17:11 rob Note Added: 0006965
2010-08-08 17:23 Cryptic Note Added: 0006966
2010-08-08 23:38 KiloByte Note Added: 0006983
2013-03-27 18:59 mumra Issue Monitored: mumra
2014-03-27 07:12 MarvinPA Note Added: 0025732
2014-03-27 07:12 MarvinPA Status new => resolved
2014-03-27 07:12 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-27 07:12 MarvinPA Resolution open => done
2014-03-27 07:12 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker